Bug 1252489 - [QE] Move option InputValidator to UsernamePasswordLoginModule
[QE] Move option InputValidator to UsernamePasswordLoginModule
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity high
: post-GA
: ---
Assigned To: Zach Rhoads
Ondrej Lukas
https://access.stage.redhat.com/docum...
: Documentation, Triaged
Depends On:
Blocks: 1233012
  Show dependency treegraph
 
Reported: 2015-08-11 10:27 EDT by Ondrej Lukas
Modified: 2015-10-20 08:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-20 08:52:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Lukas 2015-08-11 10:27:07 EDT
Book: Login Module Reference
Revision: n_1575841_login-module-reference_version_6.4_edition_1.0_release_0-revision_6701191
Section: LOGIN MODULES WITH EXTERNAL IDENTITY STORE

Issue description:
Database Login Module contains description of InputValidator. However this option is not related to Database Login Module. It is related to its parent, UsernamePasswordLoginModule. It should be moved.

It also includes note about InputValidator class. However for exactness there should be rather mentioned fully-qualified name (FQN) which is org.jboss.security.auth.spi.InputValidator.

Suggestions for improvement:
1) Move InpupValidator option to UsernamePasswordLoginModule.
2) Add FQN for InputValidator class.
Comment 3 Ondrej Lukas 2015-08-21 04:37:12 EDT
Verified in revision "n_1601531_login-module-reference_version_6.4_edition_1.0_release_0-revision_6805721" of https://access.stage.redhat.com/documentation/en/red-hat-jboss-enterprise-application-platform/version-6.4/login-module-reference

Note You need to log in before you can comment on or make changes to this bug.